@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

.SelectMenu {
  ul {
    max-height: 200px;
    overflow-y: auto;
    list-style-type: none;
    position: absolute;
    width: 100%;
    padding: 0;
    z-index: 11;
  }

  li {
    display: flex;
    align-items: center;
    padding-right: calc(14px + 17px);
    overflow-x: hidden;

    &:hover,
    &:focus,
    &:focus-within {
      cursor: pointer;
    }
  }

  .SelectOption {
    height: 100%;
    width: 100%;
    padding-left: 16px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;

    &:focus {
      outline: none;
    }
  }

  .SelectMask {
    position: absolute;
    bottom: -4px;
    z-index: 9;
    width: 100%;
    height: 4px;
  }

  .react-customscroll-holder {
    overflow-x: hidden;
  }

  &-normal .SelectOption {
    line-height: 40px;
  }

  &-tiny .SelectOption {
    line-height: 30px;
  }

  &-bottom ul {
    margin-top: 0;
  }

  &-top {
    ul {
      bottom: 0;
    }

    &.SelectMenu-tiny ul {
      margin-bottom: 20px;
    }

    &.SelectMenu-normal ul {
      margin-bottom: 36px;
    }

    react-customscroll-holder {
      display: flex;
      align-items: end;
    }

    .react-customscroll-frame {
      width: 100%;
    }
  }
}

@include themify("SelectMenu", $themes) {
  .SelectMask {
    background-color: themed("field-background-editable");
  }

  li {
    color: themed("field-text");
    background-color: themed("field-background-editable");

    &:hover,
    &:focus,
    &:focus-within {
      background-color: themed("item-background-selected");
    }
  }
}
